#ifndef SiTCP_H
#define SiTCP_H

#include<iostream>
#include<fstream>

#include<stdlib.h>
#include<stdio.h>
#include<string.h>
#include<unistd.h>
#include<errno.h>

#include<sys/types.h>
#include<sys/stat.h>
#include<sys/socket.h>
#include<sys/select.h>
#include<netinet/in.h>
#include<arpa/inet.h>

struct bcp_header{
	unsigned char type;
	unsigned char command;
	unsigned char id;
	unsigned char length;
	unsigned int address;
};

class SiTCP{

	char* sitcpIpAddr;
	unsigned int tcpPort;
	unsigned int udpPort;
	int udpsock;
	int tcpsock;
	struct sockaddr_in tcpAddr;
	struct sockaddr_in udpAddr;
	struct bcp_header sndHeader;
	unsigned char sndData[256];
	unsigned char sndBuf[2048];
	fd_set rmask, wmask, fds, readfds;
	struct timeval timeout;
	unsigned short tmp[128][128];
	//short tmp[128][128];
	void RBCPskeleton(unsigned char type, unsigned char command, unsigned char id,
					  unsigned char length, unsigned char address);
	int rcvRBCP_ACK(int out_flag);

 public:

	SiTCP();
	~SiTCP();
	bool SetIPPort(char* IpAddr, unsigned int tcp, unsigned int udp);
	bool CreateUDPSock();
	bool CloseUDPSock();
	bool CreateTCPSock();
	bool CloseTCPSock();
	void CSR_Read(bool start);
	void CSR_Read_all(char* filename);
	void CSR_Manual_Write(bool start);
	void CSR_Write_Data(unsigned char hex);
	void CSR_Write_RA(unsigned short RA);
	void CSR_Write_CA(unsigned short CA);
	void CSR_Write_all(unsigned short csr);
	void DAQStart(bool start);
	void DAQTrig(unsigned short trig_interval);
	void DAQCLK(unsigned short clk_interval);
	//void NumOfTakeData(int num);
	//int TakeDatAt(unsigned short *data);
	//int tcpselect();
  
	int GetTCPSock(){return tcpsock;}
	int GetUDPSock(){return udpsock;}

};
#endif
