void plot_eve(){

  int eve = 15; // Set the number ID of event you would like to take.
  char* output = "../data/b2pix_data.root"; // Set the output file name.

	gROOT->SetStyle("Plain");
	gStyle->SetPalette(1);
	
	TChain *chain = new TChain("tr");
	chain -> Add(output);
	
	int h[48][48];
	chain->SetBranchAddress("hit",&h);
	
	long nevent = chain -> GetEntries();
	cout << "Total number of events is " << nevent << endl;
	chain -> GetEntry(eve);
	cout << "h = " << h << endl;
	for(int i=0; i<48; i++){
		for(int j=0; j<48; j++){
			cout << h[i][j] << " ";
		}
		cout << endl;
	}
	cout << endl;
	
	TCanvas *fCanvas = new TCanvas("fc", "fc", 500, 500);
	fCanvas->SetLeftMargin(0.13);
	fCanvas->SetRightMargin(0.13);
	
	TH2F *h2_eve;
	
	h2_eve = new TH2F("h2_eve","h2_eve",48,0,48,48,0,48);
	h2_eve->SetStats(0);
	h2_eve->GetZaxis()->SetRangeUser(0,500);
	h2_eve->SetTitle("");
	
	h2_eve->SetXTitle("Column");
	h2_eve->GetXaxis()->SetTitleOffset(-13.5);
	h2_eve->GetXaxis()->CenterTitle();
	h2_eve->GetXaxis()->SetTickLength(0);
	h2_eve->GetXaxis()->SetLabelSize(0);
	
	h2_eve->SetYTitle("Row");
	h2_eve->GetYaxis()->SetTitleOffset(1.1);
	h2_eve->GetYaxis()->CenterTitle();
	h2_eve->GetYaxis()->SetTickLength(0);
	h2_eve->GetYaxis()->SetLabelSize(0);
	
	for(int i=0; i<48; i++){
		for(int j=0; j<48; j++){
			h2_eve->Fill(j, 47-i, h[i][j]);
		}
	}
	h2_eve->Draw("colz");
	
	fCanvas->Modified();
	fCanvas->Update();
	
	TGaxis *axisY = new TGaxis(gPad->GetUxmin(),gPad->GetUymax(),gPad->GetUxmin()-0.00001,gPad->GetUymin(),0,48,510,"");
	axisY->SetLabelOffset(-0.025);
	axisY->Draw();
	TGaxis *axisX = new TGaxis(gPad->GetUxmin(),gPad->GetUymax(),gPad->GetUxmax(),gPad->GetUymax(),0,48,510,"-");
	axisX->SetLabelOffset(-0.005);
	axisX->Draw();
	TLatex *title = new TLatex(gPad->GetUxmin()+2,gPad->GetUymin()-4,"[SOI Belle II Pixel] Hit Distribution");
	title->Draw();
	
	fCanvas->Modified();
	fCanvas->Update();
	
	//fCanvas->Print("plot_eve.gif");
	fCanvas->Print("plot_eve.eps");
	//fCanvas->Print("plot_eve.root");
}
