void plot_sum(){

  char* output = "../data/b2pix_data.root"; // Set the file name of output.

	gROOT->SetStyle("Plain");
	gStyle->SetPalette(1);
	
	TChain *chain = new TChain("tr");
	chain -> Add(output);
	
	TH2F *h2_sum;
	
	h2_sum = new TH2F("h2_sum","h2_sum",48,0,48,48,0,48);
	h2_sum->SetStats(0);
	h2_sum->GetZaxis()->SetRangeUser(0,500);
	h2_sum->SetTitle("");
	
	int h[48][48];
	chain->SetBranchAddress("hit",&h);
	
	long nevent = chain -> GetEntries();
	cout << "Total number of events is " << nevent << endl;
	
	for(int l = 0; l < nevent; l++) { // You should set the number of events!
	//for(int l = 0; l < 10; l++) { // You should set the number of events!
		cout << l << " events processed." << endl;
		chain -> GetEntry(l);
		for(int i=0; i<48; i++){
			for(int j=0; j<48; j++){
				h2_sum->Fill(j, 47-i, h[i][j]);
			}
		}
		/*for(int i=0; i<48; i++){
			for(int j=0; j<48; j++){
				cout << h[i][j] << " ";
			}
			cout << endl;
		}
		cout << endl;*/
	}
	
	TCanvas *fCanvas = new TCanvas("fc", "fc", 500, 500);
	fCanvas->SetLeftMargin(0.13);
	fCanvas->SetRightMargin(0.13);
	
	h2_sum->SetXTitle("Column");
	h2_sum->GetXaxis()->SetTitleOffset(-13.5);
	h2_sum->GetXaxis()->CenterTitle();
	h2_sum->GetXaxis()->SetTickLength(0);
	h2_sum->GetXaxis()->SetLabelSize(0);
	
	h2_sum->SetYTitle("Row");
	h2_sum->GetYaxis()->SetTitleOffset(1.1);
	h2_sum->GetYaxis()->CenterTitle();
	h2_sum->GetYaxis()->SetTickLength(0);
	h2_sum->GetYaxis()->SetLabelSize(0);
	
	h2_sum->Draw("colz");
	
	fCanvas->Modified();
	fCanvas->Update();
	
	TGaxis *axisY = new TGaxis(gPad->GetUxmin(),gPad->GetUymax(),gPad->GetUxmin()-0.00001,gPad->GetUymin(),0,48,510,"");
	axisY->SetLabelOffset(-0.025);
	axisY->Draw();
	TGaxis *axisX = new TGaxis(gPad->GetUxmin(),gPad->GetUymax(),gPad->GetUxmax(),gPad->GetUymax(),0,48,510,"-");
	axisX->SetLabelOffset(-0.005);
	axisX->Draw();
	TLatex *title = new TLatex(gPad->GetUxmin()+2,gPad->GetUymin()-4,"[SOI Belle II Pixel] Hit Distribution");
	title->Draw();
	
	fCanvas->Modified();
	fCanvas->Update();
	
	//fCanvas->Print("plot_sum.gif");
	fCanvas->Print("plot_sum.eps");
	//fCanvas->Print("plot_sum.root");
}
